summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD12
1 files changed, 8 insertions, 4 deletions
diff --git a/PKGBUILD b/PKGBUILD
index e59a7faa532..e03668cc955 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -8,19 +8,23 @@ pkgdesc="VOCP is a complete messaging solution for voice modems, with voicemail,
url="http://vocp.psychogenic.net/index.php?mode=function"
license=('GPL')
arch=('i686' 'x86_64')
-depends=('mgetty-vgetty' 'perl-audio-dsp' 'perl-crypt-blowfish' 'perl-crypt-cbc' 'perl-mime-tools' 'perl-tk' 'perl-xml-mini' 'perl-modem-vgetty' )
+depends=('mgetty-vgetty' 'perl-audio-dsp' 'perl-crypt-blowfish' 'perl-crypt-cbc' 'perl-mime-tools' 'perl-tk' 'perl-xml-mini' 'perl-modem-vgetty' 'lame' )
conflicts=('mgetty')
makedepends=('make' 'perl')
install='vocp.install'
source=('http://prdownloads.sourceforge.net/vocp/VOCP-0.9.3.tar.bz2'
-'convert_sound.pl'
-'install_vocp.pl'
+ 'convert_sound.pl'
+ 'install_vocp.pl'
+ 'config.patch'
)
md5sums=('1a570a1f5af11786b39f6aed4304b5c3'
'b6d69da8f3221d7d51e3be4d2c067c00'
- '3abd17fdd551aee139b8f40efd7a93a0')
+ '3abd17fdd551aee139b8f40efd7a93a0'
+ '0ac9ce4ef610f6f8b5d480d07c3a2891')
build(){
+ cd "$srcdir/$pkgname-$pkgver"
+ patch -Np0 -i ../../config.patch || return 1
cd "$srcdir/$pkgname-$pkgver/prog/VOCP"
# Install module in vendor directories.